> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uniblock.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Overview

> Introduction on Uniblock's TON HTTP API service.

# TON HTTP API

Provides access to all TON API endpoints. All usage instructions on the different endpoints are available in [TON API Docs](https://docs.tonconsole.com/tonapi/api-v2)

## Endpoints available

* `v2/accounts/_bulk`
* `v2/accounts/search`
* `v2/accounts/{account_id}`
* `v2/accounts/{account_id}/diff`
* `v2/accounts/{account_id}/dns/backresolve`
* `v2/accounts/{account_id}/dns/expiring`
* `v2/accounts/{account_id}/events`
* `v2/accounts/{account_id}/events/emulate`
* `v2/accounts/{account_id}/events/{event_id}`
* `v2/accounts/{account_id}/jettons`
* `v2/accounts/{account_id}/jettons/history`
* `v2/accounts/{account_id}/jettons/{jetton_id}/history`
* `v2/accounts/{account_id}/nfts`
* `v2/accounts/{account_id}/nfts/history`
* `v2/accounts/{account_id}/publickey`
* `v2/accounts/{account_id}/reindex`
* `v2/accounts/{account_id}/subscriptions`
* `v2/accounts/{account_id}/traces`
* `v2/address/{account_id}/parse`
* `v2/blockchain/accounts/{account_id}`
* `v2/blockchain/accounts/{account_id}/inspect`
* `v2/blockchain/accounts/{account_id}/methods/{method_name}`
* `v2/blockchain/accounts/{account_id}/transactions`
* `v2/blockchain/blocks/{block_id}`
* `v2/blockchain/blocks/{block_id}/transactions`
* `v2/blockchain/config`
* `v2/blockchain/config/raw`
* `v2/blockchain/masterchain-head`
* `v2/blockchain/masterchain/{masterchain_seqno}/blocks`
* `v2/blockchain/masterchain/{masterchain_seqno}/config`
* `v2/blockchain/masterchain/{masterchain_seqno}/config/raw`
* `v2/blockchain/masterchain/{masterchain_seqno}/shards`
* `v2/blockchain/masterchain/{masterchain_seqno}/transactions`
* `v2/blockchain/message`
* `v2/blockchain/messages/{msg_id}/transaction`
* `v2/blockchain/transactions/{transaction_id}`
* `v2/blockchain/validators`
* `v2/dns/auctions`
* `v2/dns/{domain_name}`
* `v2/dns/{domain_name}/bids`
* `v2/dns/{domain_name}/resolve`
* `v2/events/emulate`
* `v2/events/{event_id}`
* `v2/events/{event_id}/jettons`
* `v2/experimental/accounts/{account_id}/inscriptions`
* `v2/experimental/accounts/{account_id}/inscriptions/history`
* `v2/experimental/accounts/{account_id}/inscriptions/{ticker}/history`
* `v2/experimental/inscriptions/op-template`
* `v2/jettons`
* `v2/jettons/{account_id}`
* `v2/jettons/{account_id}/holders`
* `v2/liteserver/get_account_state/{account_id}`
* `v2/liteserver/get_all_shards_info/{block_id}`
* `v2/liteserver/get_block/{block_id}`
* `v2/liteserver/get_block_header/{block_id}`
* `v2/liteserver/get_block_proof`
* `v2/liteserver/get_config_all/{block_id}`
* `v2/liteserver/get_masterchain_info`
* `v2/liteserver/get_masterchain_info_ext`
* `v2/liteserver/get_out_msg_queue_sizes`
* `v2/liteserver/get_shard_block_proof/{block_id}`
* `v2/liteserver/get_shard_info/{block_id}`
* `v2/liteserver/get_state/{block_id}`
* `v2/liteserver/get_time`
* `v2/liteserver/get_transactions/{account_id}`
* `v2/liteserver/list_block_transactions/{block_id}`
* `v2/liteserver/send_message`
* `v2/message/decode`
* `v2/nfts/_bulk`
* `v2/nfts/collections`
* `v2/nfts/collections/{account_id}`
* `v2/nfts/collections/{account_id}/items`
* `v2/nfts/{account_id}`
* `v2/nfts/{account_id}/history`
* `v2/pubkeys/{public_key}/wallets`
* `v2/rates`
* `v2/rates/chart`
* `v2/rates/markets`
* `v2/staking/nominator/{account_id}/pools`
* `v2/staking/pool/{account_id}`
* `v2/staking/pool/{account_id}/history`
* `v2/staking/pools`
* `v2/status`
* `v2/storage/providers`
* `v2/tonconnect/payload`
* `v2/tonconnect/stateinit`
* `v2/traces/emulate`
* `v2/traces/{trace_id}`
* `v2/wallet/auth/proof`
* `v2/wallet/backup`
* `v2/wallet/emulate`
* `v2/wallet/{account_id}/seqno`

## Uniblock Query Params

* `chainId`: `ton` or `ton-testnet`
* `provider`: select from ones available

## Basic Request

Replace `API_KEY` with actual uniblock api key

<CodeGroup>
  ```bash theme={null}
  curl --location \
  'https://api.uniblock.dev/uni/v1/ton-http/v2/status?chainId=ton' \
  --header 'x-api-key: {{ API_KEY }}' \
  --header 'Content-Type: application/json'
  ```
</CodeGroup>

## Dynamic Path

Replace `API_KEY` with actual uniblock api key

<CodeGroup>
  ```bash theme={null}
  curl --location \
  'https://api.uniblock.dev/uni/v1/ton-http/v2/accounts/EQCkR1cGmnsE45N4K0otPl5EnxnRakmGqeJUNua5fkWhales?chainId=ton' \
  --header 'x-api-key: {{ API_KEY }}' \
  --header 'Content-Type: application/json'
  ```
</CodeGroup>

## TON Query Param

Replace `API_KEY` with actual uniblock api key

<CodeGroup>
  ```bash theme={null}
  curl --location \
  'https://api.uniblock.dev/uni/v1/ton-http/v2/accounts/EQCkR1cGmnsE45N4K0otPl5EnxnRakmGqeJUNua5fkWhales/events?chainId=ton&limit=10' \
  --header 'x-api-key: {{ API_KEY }}' \
  --header 'accept: application/json'
  ```
</CodeGroup>
